Bug 545607 - SELinux is preventing /usr/bin/python (deleted) "getattr" access on /var/lib/certmaster/certmaster/certs/alpha.rzhou.org.cert.
Summary: SELinux is preventing /usr/bin/python (deleted) "getattr" access on /var/lib/...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:4ddd2a5028a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-08 22:42 UTC by Ricky Zhou
Modified: 2009-12-23 21:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:11 UTC
Type: ---


Attachments (Terms of Use)

Description Ricky Zhou 2009-12-08 22:42:07 UTC
Summary:

SELinux is preventing /usr/bin/python (deleted) "getattr" access on
/var/lib/certmaster/certmaster/certs/(removed).cert.

Detailed Description:

SELinux denied access requested by certmaster. It is not expected that this
access is required by certmaster and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:certmaster_t:s0
Target Context                unconfined_u:object_r:var_lib_t:s0
Target Objects                /var/lib/certmaster/certmaster/certs/alpha.rzhou.o
                              rg.cert [ file ]
Source                        certmaster
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-162.fc12.x86_64 #1
                              SMP Fri Dec 4 00:06:26 EST 2009 x86_64 x86_64
Alert Count                   6
First Seen                    Tue 08 Dec 2009 01:01:51 AM EST
Last Seen                     Tue 08 Dec 2009 04:58:59 PM EST
Local ID                      11e27a6b-000b-43bb-971c-67d360cf43c6
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260309539.965:47664): avc:  denied  { getattr } for  pid=28673 comm="certmaster" path="/var/lib/certmaster/certmaster/certs/(removed).cert" dev=dm-2 ino=173155 scontext=unconfined_u:system_r:certmaster_t:s0 tcontext=unconfined_u:object_r:var_lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1260309539.965:47664): arch=c000003e syscall=4 success=no exit=-13 a0=1b8f5f0 a1=7fffa9e2b390 a2=7fffa9e2b390 a3=73747265632f7265 items=0 ppid=1 pid=28673 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=18 comm="certmaster" exe=2F7573722F62696E2F707974686F6E202864656C6574656429 subj=unconfined_u:system_r:certmaster_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,certmaster,certmaster_t,var_lib_t,file,getattr
audit2allow suggests:

#============= certmaster_t ==============
allow certmaster_t var_lib_t:file getattr;

Comment 1 Daniel Walsh 2009-12-09 14:14:32 UTC
Looks like

/var/lib/certmaster(/.*)?		gen_context(system_u:object_r:certmaster_var_lib_t,s0)


Is missing.

chcon -t certmaster_var_lib_t -R /var/lib/certmaster

Will fix.

Fixed in selinux-policy-3.6.32-57.fc12.noarch

Comment 2 Ricky Zhou 2009-12-09 20:35:11 UTC
Wow, thanks for the fast reply!  I just tried your fix, and it works great.

Comment 3 Fedora Update System 2009-12-16 13:52:58 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 4 Fedora Update System 2009-12-18 04:41:13 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384

Comment 5 Fedora Update System 2009-12-23 21:30:50 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.